DIV(3)

NAME
div - divide two integers

SYNOPSIS

#include <stdlib.h>

div_t div(int n, int d);

DESCRIPTION

Divide n/d, returning quotient and remainder as two integers in a structure div_t.

RETURNS

The result is represented with the structure

     typedef struct
     {
      int quot;
      int rem;
     } div_t;

where the quot field represents the quotient, and rem the remainder. For nonzero d, if `r = div(n,d);' then n equals `r.rem + d*r.quot'.

To divide long rather than int values, use the similar function ldiv.

PORTABILITY

div is ANSI.

No supporting OS subroutines are required.